package Create_Ticket_module;

import java.util.List;

import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.Select;

import baseclass.TestBase;

public class Create_Ticket extends TestBase
{
	public Create_Ticket()
	{
		PageFactory.initElements(driver,this);
	}
	
	//---WebElement of  Ticket
	@FindBy(xpath="//span[text()=\"Ticket\"]")
	private WebElement ticket;
	public void click_On_Ticket()
	{
		ticket.click();
	}
	
	//---WebElement of create Ticket
	@FindBy(xpath="//span[text()=\"Create Ticket\"]")
	private WebElement create_ticket;
	public void click_ON_CreateTicket()
	{
		create_ticket.click();
	}
	
	//---WebElement of your Department
	 @FindBy(xpath="//div[@class=\" css-ackcql\"]")
	 private WebElement your_deprtmnt;
	 public void click_on_your_deprtmnt()
	 {
		 your_deprtmnt.click();
	 }
	 
	 //----WebElement of Select Querry
	 @FindBy(xpath="//select[@id=\"query_type_id\"]")
	 private WebElement select_querry;
	 public void validate_Select_querry_dropDown()
	 {
		 Select s = new Select(select_querry);
		 s.selectByVisibleText("newtest");
		 List<WebElement> all_drop_options = s.getOptions();
		 int count = all_drop_options.size();
		 System.out.println(count+"Number of querries");
		 for(int a=0;a<count;a++)
		 {
			String print_querries = all_drop_options.get(a).getText();
			System.out.println(print_querries);
			s.selectByVisibleText(print_querries);
		 }
		 s.selectByVisibleText("newtest");
	 }
	 
	 //--select querry
	 @FindBy(xpath="//select[@id=\"query_type_id\"]")
	 private WebElement select_querry1;
	 public void select_querry()
	 {
		Select s2 = new Select(select_querry1);
		s2.selectByVisibleText("newtest");
	 }
	 
	 //---Validate Priority
	 @FindBy(xpath="//select[@id=\"priority\"]")
	 private WebElement priority;
	 public void validate_priority()
	 {
		 Select S3 = new Select(priority);
		 List<WebElement> all_priority = S3.getOptions();
		 int count_of_priority = all_priority.size();
		 System.out.println(count_of_priority+"==count_of_priority");
		 
		 for(int b=0;b<count_of_priority;b++)
		 {
			 String print_priority = all_priority.get(b).getText();
			 System.out.println(print_priority);
			 S3.selectByVisibleText(print_priority);
			 
	   }
		 S3.selectByVisibleText("High");
	 }
	 
	 //====WebElement of upload attatchment
	 @FindBy(xpath="/html/body/div/div/div[2]/div[2]/div/form/div[4]/div/div/div/input")
	 private WebElement attatchmnt;
	 public void click_on_attachmnt()
	 {
		 attatchmnt.click();
	 }
	 
	 //----WebElement of select priority
	 @FindBy(xpath="//select[@id=\"priority\"]")
	 private WebElement priority1;
	 public void select_priority1()
	 {
		 Select s4=new Select(priority1);
		 s4.selectByVisibleText("High");
	 }
	 
	 //----Webelemnt of cancel button
	 @FindBy(xpath="//a[text()=\"Cancel\"]")
	 private WebElement cancel_button;
	 public void click_on_cancel_button()
	 {
		 
	   cancel_button.click();
	 }
	 
	 //----WebElement of Submit button
	 @FindBy(xpath="//button[@class=\"btn btn-sm btn-primary\"]")
	 private WebElement submit1;
	 public void click_on_submit()
	 {
		 submit1.click();
	 }
	
	
	
  
}
